Ticket #33999

Windows 8 の Win+スペース 操作のあとでフォーカスが戻らない

Open Date: 2014-07-04 11:04 Last Update: 2014-07-26 10:47

Reporter: nishimoto Owner: (None)
Type: Bugs Status: Closed
Component: IME MileStone: 2014.3jp-public-beta (closed)
Priority: 5 - Medium Severity: 5 - Medium
Resolution: Fixed

Details

2014.2jp で以下の現象が起きています。

  • Windows 8.1 64ビット
  • Windows + スペース で複数の入力言語(入力メソッド・キーボード)の切り替えができる環境
  • メモ帳で文字入力
  • Windows キーを押しながら、スペースを複数回押して入力言語を切り替えて、Windows キーを離す
  • メモ帳のエディット複数行にフォーカスが戻らない(フォーカスハイライトでは、消えたはずの入力言語のポップアップにフォーカスが残っている)
  • この状態で NVDA+Tab などが正しく機能しない
  • Alt キーを2回押すとフォーカスがメモ帳のエディットに戻る

Attachment File List

No attachments

Ticket History (3/5 Histories)

2014-07-04 11:04 Updated by: nishimoto
  • New Ticket "Windows 8 の Win+スペース 操作のあとでフォーカスが戻らない" created
2014-07-08 23:16 Updated by: nishimoto
Comment

フォーカスが戻らない問題を解決する準備として、 ti33999 ブランチを作って、以下の改善を行ってみました。

  • Win+スペース で入力システムを切り替えたときに「日本語 Microsoft IME ボタン」のように読み上げを簡潔にする( description プロパティを読まないようにする)
  • 入力システムを読み上げている途中に Win+スペースをさらに押すと、ちゃんと「音切れ」させる
2014-07-09 00:22 Updated by: nishimoto
  • Resolution Update from Accepted to Fixed
  • Component Update from (None) to IME
Comment

Win+スペースで入力システムが切り替わるたびに、直前にフォーカスがあったオブジェクトにフォーカスを戻すようにしてみました。

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
   6cd3ec2..38de87b  ti33999 -> ti33999
2014-07-17 15:36 Updated by: nishimoto
Comment

Windows + Space で起きるエラーについての本家のチケット:

http://community.nvda-project.org/ticket/4302

2014-07-26 10:47 Updated by: nishimoto
  • Ticket Close date is changed to 2014-07-26 10:47
  • Status Update from Open to Closed
Comment

jpbeta に ti33999 をマージしました。

To ssh://git@bitbucket.org/nvdajp/nvdajp.git
   bf51e2a..ff4d3f8  jpbeta -> jpbeta

もっといい直し方がありそうな気がしますが、今後の課題にさせてください。

Edit

Please login to add comment to this ticket » Login